OpenCV: cv::SeqIterator< _Tp > Class Template Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | Public Attributes | List of all members
cv::SeqIterator< _Tp > Class Template Reference
Core functionality » C structures and operations » Connections with C++

`#include "core_c.h"`

Inheritance diagram for cv::SeqIterator< _Tp >:

## Public Member Functions
| SeqIterator ()
| the default constructor More...
| SeqIterator (const Seq< _Tp > &seq, bool seekEnd=false)
| the constructor setting the iterator to the beginning or to the end of the sequence More...
_Tp & | operator* ()
| returns reference to the current sequence element More...
const _Tp & | operator* () const
| returns read-only reference to the current sequence element More...
SeqIterator & | operator++ ()
| moves iterator to the next sequence element More...
SeqIterator | operator++ (int) const
| moves iterator to the next sequence element More...
SeqIterator & | operator+= (int)
| moves iterator forward by the specified offset (possibly negative) More...
SeqIterator & | operator-- ()
| moves iterator to the previous sequence element More...
SeqIterator | operator-- (int) const
| moves iterator to the previous sequence element More...
SeqIterator & | operator-= (int)
| moves iterator backward by the specified offset (possibly negative) More...
void | seek (size_t pos)
| positions the iterator within the sequence More...
size_t | tell () const
| reports the current iterator position More...

## Public Attributes
int | index
Public Attributes inherited from CvSeqReader
CvSeqBlock * | block
schar * | block_max
schar * | block_min
int | delta_index
int | header_size
schar * | prev_elem
schar * | ptr
CvSeq * | seq

## Detailed Description

### template<typename _Tp>
class cv::SeqIterator< _Tp >

STL-style Sequence Iterator inherited from the CvSeqReader structure

## Member Data Documentation

## ◆ index

template<typename _Tp>

int cv::SeqIterator< _Tp >::index

The documentation for this class was generated from the following file:

- core/include/opencv2/core/core_c.h